---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Transformable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Transformable.html">Transformable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1Transformable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Transformable Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::Transformable:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Transformable.png" usemap="#tgui::Transformable_map" alt=""/>
  <map id="tgui::Transformable_map" name="tgui::Transformable_map">
<area href="classtgui_1_1Widget.html" title="The parent class for every widget. " alt="tgui::Widget" shape="rect" coords="0,56,128,80"/>
<area href="classtgui_1_1ChatBox.html" alt="tgui::ChatBox" shape="rect" coords="138,112,266,136"/>
<area href="classtgui_1_1ClickableWidget.html" title="Clickable widget. " alt="tgui::ClickableWidget" shape="rect" coords="138,168,266,192"/>
<area href="classtgui_1_1ComboBox.html" title="Combo box widget. " alt="tgui::ComboBox" shape="rect" coords="138,224,266,248"/>
<area href="classtgui_1_1Container.html" title="Container widget. " alt="tgui::Container" shape="rect" coords="138,280,266,304"/>
<area href="classtgui_1_1Knob.html" title="Knob widget. " alt="tgui::Knob" shape="rect" coords="138,336,266,360"/>
<area href="classtgui_1_1ListBox.html" title="List box widget. " alt="tgui::ListBox" shape="rect" coords="138,392,266,416"/>
<area href="classtgui_1_1MenuBar.html" title="Menu bar widget. " alt="tgui::MenuBar" shape="rect" coords="138,448,266,472"/>
<area href="classtgui_1_1Scrollbar.html" title="Scrollbar widget. " alt="tgui::Scrollbar" shape="rect" coords="138,504,266,528"/>
<area href="classtgui_1_1Slider.html" title="Slider widget. " alt="tgui::Slider" shape="rect" coords="138,560,266,584"/>
<area href="classtgui_1_1Tab.html" title="Tab widget. " alt="tgui::Tab" shape="rect" coords="138,616,266,640"/>
<area href="classtgui_1_1TextBox.html" title="Text box widget. " alt="tgui::TextBox" shape="rect" coords="138,672,266,696"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a98900d9b8ec4166e5127532bfbd5cc59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98900d9b8ec4166e5127532bfbd5cc59"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a> ()</td></tr>
<tr class="memdesc:a98900d9b8ec4166e5127532bfbd5cc59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a98900d9b8ec4166e5127532bfbd5cc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef14a1428f63eeb8bd820a1b4821a3d0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">setPosition</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;position)</td></tr>
<tr class="memdesc:aef14a1428f63eeb8bd820a1b4821a3d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#aef14a1428f63eeb8bd820a1b4821a3d0">More...</a><br /></td></tr>
<tr class="separator:aef14a1428f63eeb8bd820a1b4821a3d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e34aa4c19ae95ed71052c6409d8fbcc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">setPosition</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a9e34aa4c19ae95ed71052c6409d8fbcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a9e34aa4c19ae95ed71052c6409d8fbcc">More...</a><br /></td></tr>
<tr class="separator:a9e34aa4c19ae95ed71052c6409d8fbcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2429a2ff2f3f83b702f20b4a8a0257dc"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a> () const </td></tr>
<tr class="memdesc:a2429a2ff2f3f83b702f20b4a8a0257dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the position of the widget  <a href="#a2429a2ff2f3f83b702f20b4a8a0257dc">More...</a><br /></td></tr>
<tr class="separator:a2429a2ff2f3f83b702f20b4a8a0257dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff5580e6c49ade969ba71ea1c1330d2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;offset)</td></tr>
<tr class="memdesc:aff5580e6c49ade969ba71ea1c1330d2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#aff5580e6c49ade969ba71ea1c1330d2b">More...</a><br /></td></tr>
<tr class="separator:aff5580e6c49ade969ba71ea1c1330d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792b77e86e9550b0b2c5912d4d7cebe5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a792b77e86e9550b0b2c5912d4d7cebe5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#a792b77e86e9550b0b2c5912d4d7cebe5">More...</a><br /></td></tr>
<tr class="separator:a792b77e86e9550b0b2c5912d4d7cebe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66fe5d2a7b1477cab073984a9a3e13bc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">setSize</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size)</td></tr>
<tr class="memdesc:a66fe5d2a7b1477cab073984a9a3e13bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a66fe5d2a7b1477cab073984a9a3e13bc">More...</a><br /></td></tr>
<tr class="separator:a66fe5d2a7b1477cab073984a9a3e13bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3322ba22993ca9eacad060e3215c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">setSize</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a3bae3322ba22993ca9eacad060e3215c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a3bae3322ba22993ca9eacad060e3215c">More...</a><br /></td></tr>
<tr class="separator:a3bae3322ba22993ca9eacad060e3215c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57d81556fbdbcf0d206b60ec835f3f4"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a> () const </td></tr>
<tr class="memdesc:ac57d81556fbdbcf0d206b60ec835f3f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the widget.  <a href="#ac57d81556fbdbcf0d206b60ec835f3f4">More...</a><br /></td></tr>
<tr class="separator:ac57d81556fbdbcf0d206b60ec835f3f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f11a7e9d86943a5cc8114b2431c1570"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">getFullSize</a> () const </td></tr>
<tr class="memdesc:a4f11a7e9d86943a5cc8114b2431c1570"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the entire size that the widget is using.  <a href="#a4f11a7e9d86943a5cc8114b2431c1570">More...</a><br /></td></tr>
<tr class="separator:a4f11a7e9d86943a5cc8114b2431c1570"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15575698ad5b40c34bc8c945244ec4d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;factors)</td></tr>
<tr class="memdesc:a15575698ad5b40c34bc8c945244ec4d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a15575698ad5b40c34bc8c945244ec4d8">More...</a><br /></td></tr>
<tr class="separator:a15575698ad5b40c34bc8c945244ec4d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f2ed8b35ede928678339b8f708b1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a074f2ed8b35ede928678339b8f708b1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a074f2ed8b35ede928678339b8f708b1c">More...</a><br /></td></tr>
<tr class="separator:a074f2ed8b35ede928678339b8f708b1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4f11a7e9d86943a5cc8114b2431c1570"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Transformable::getFullSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the entire size that the widget is using. </p>
<p>This function will return a value equal or greater than what getSize returns. If the widget would e.g. have borders around it then this function will return the size, including these borders.</p>
<dl class="section return"><dt>Returns</dt><dd>Full size of the widget </dd></dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ListBox.html#a8109d27fcb37f8493a10a48a77ffba37">tgui::ListBox</a>, <a class="el" href="classtgui_1_1Label.html#a3f1e410bac4eda45c816f448ab4b9af9">tgui::Label</a>, <a class="el" href="classtgui_1_1EditBox.html#a0aa06eb9bfa42754788fc2252fb9d11c">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a689cbd37fbb0ab2835dee263f041a82f">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1ComboBox.html#a72b31d9750e07a6a492878c2c6953c6c">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a31bad53a652364a489e976bf63d2ffc2">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a25eae3a664b791b67a394b740f436e3f">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1ChatBox.html#a49fdb742fbd5faeb4f65ddb136e2570b">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1RadioButton.html#af4e007eae5c1528d50f2883dbc457fd0">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#abbfb1cc4279f6dfd78cf2ffb4dbd1201">tgui::Button</a>, <a class="el" href="classtgui_1_1Slider.html#aaa00b6612240c830d2ea373e23daafca">tgui::Slider</a>, <a class="el" href="classtgui_1_1SpinButton.html#a38c8ce1715bed7cbb4454770fb52a655">tgui::SpinButton</a>, and <a class="el" href="classtgui_1_1Knob.html#a8283b68987251bd54436e7273fd9f806">tgui::Knob</a>.</p>

</div>
</div>
<a class="anchor" id="a2429a2ff2f3f83b702f20b4a8a0257dc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f tgui::Transformable::getPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get the position of the widget </p>
<dl class="section return"><dt>Returns</dt><dd>Current position</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0" title="set the position of the widget ">setPosition</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ac57d81556fbdbcf0d206b60ec835f3f4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Transformable::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the size of the widget. </p>
<dl class="section return"><dt>Returns</dt><dd>Size of the widget </dd></dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1Grid.html#a5b7deefdd6b2aa2c20f3082938f11b54">tgui::Grid</a>, and <a class="el" href="classtgui_1_1Tab.html#af84d02e59ec7864c2bc3103dbc0e463f">tgui::Tab</a>.</p>

</div>
</div>
<a class="anchor" id="aff5580e6c49ade969ba71ea1c1330d2b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::move </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Move the widget by a given offset. </p>
<p>This function adds to the current position of the widget, unlike setPosition which overwrites it. Thus, it is equivalent to the following code: </p><div class="fragment"><div class="line">widget.setPosition(widget.getPosition() + offset);</div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>Offset</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0" title="set the position of the widget ">setPosition</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a792b77e86e9550b0b2c5912d4d7cebe5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::move </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Move the widget by a given offset. </p>
<p>This function adds to the current position of the widget, unlike setPosition which overwrites it. Thus, it is equivalent to the following code: </p><div class="fragment"><div class="line">widget.setPosition(widget.getPosition().x + x, widget.getPosition().y + y);</div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Horizontal offset </td></tr>
    <tr><td class="paramname">y</td><td>Vertical offset</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0" title="set the position of the widget ">setPosition</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a15575698ad5b40c34bc8c945244ec4d8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::scale </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>factors</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Scale the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">factors</td><td>Scale factors</td></tr>
  </table>
  </dd>
</dl>
<p>This function multiplies the current size of the widget with the given scale factors. Thus, it is equivalent to the following code: </p><div class="fragment"><div class="line">widget.setSize({<a class="code" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a>().x * factors.x, <a class="code" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a>().y * factors.y});</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a074f2ed8b35ede928678339b8f708b1c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::scale </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Scale the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>horizontal scale factor </td></tr>
    <tr><td class="paramname">y</td><td>vertical scale factor</td></tr>
  </table>
  </dd>
</dl>
<p>This function multiplies the current size of the widget with the given scale factors. Thus, it is equivalent to the following code: </p><div class="fragment"><div class="line">widget.setSize(<a class="code" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a>().x * factors.x, <a class="code" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a>().y * factors.y);</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="aef14a1428f63eeb8bd820a1b4821a3d0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Transformable::setPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>set the position of the widget </p>
<p>This function completely overwrites the previous position. See the move function to apply an offset based on the previous position instead. The default position of a transformable widget is (0, 0).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>New position</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b" title="Move the widget by a given offset. ">move</a>, <a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc" title="get the position of the widget ">getPosition</a></dd></dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Place the widget on an exact position</span></div><div class="line">widget-&gt;setPosition({40, 30});</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget</span></div><div class="line">widget-&gt;setPosition(otherWidget-&gt;getPosition() + sf::Vector2f{0, otherWidget-&gt;getSize().y + 50});</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget and automatically move it when the other widget moves</span></div><div class="line">widget-&gt;setPosition({<a class="code" href="namespacetgui.html#aea0ae0fd5751d1245c5a050d12932778">tgui::bindLeft</a>(otherWidget), <a class="code" href="namespacetgui.html#adbaac1043a07a0095c3ee90d6070b70b">tgui::bindBottom</a>(otherWidget) + 50});</div></div><!-- fragment --> 
<p>Reimplemented in <a class="el" href="classtgui_1_1Picture.html#abb28fa8786eb5c2d9b4621306a686566">tgui::Picture</a>, <a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">tgui::Widget</a>, <a class="el" href="classtgui_1_1ListBox.html#a98770b4bc92f5e09f2c3d600263c346b">tgui::ListBox</a>, <a class="el" href="classtgui_1_1EditBox.html#ab58c8af9ec09f37ccb5dbf0ddfe55b93">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#a4a7d5caf381281a794601d6811297c22">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1Label.html#a99c3e0fbbf853971a543cd5ab638b772">tgui::Label</a>, <a class="el" href="classtgui_1_1ComboBox.html#a6fbe3736a19d961968a93f35a4ba8b32">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a5a4c65bfb56db5d5f6b0fe4cd4455cd4">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#a16589cf9240d0c940a27438f4c31b732">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1Canvas.html#a6634f37c6c24f8c25ed123658c2f06fe">tgui::Canvas</a>, <a class="el" href="classtgui_1_1RadioButton.html#abaae2918e0ddc05a24563501ed28b276">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#ada790fc10403717184773792242379b1">tgui::Button</a>, <a class="el" href="classtgui_1_1Slider.html#a4b05c2fdedf36b1e89291f178ad311cd">tgui::Slider</a>, <a class="el" href="classtgui_1_1SpinButton.html#a9a9e7b9a2af188efd597b426f97f4146">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1MenuBar.html#a933d96def325503a80b23c6f849ab499">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Knob.html#a2d5fbe13e06848ade9a2afa0ca203b33">tgui::Knob</a>, <a class="el" href="classtgui_1_1Scrollbar.html#af1d13ece47cc78f8e218255641521ff2">tgui::Scrollbar</a>, and <a class="el" href="classtgui_1_1Tab.html#af51601a1692dce56e32490db53249427">tgui::Tab</a>.</p>

</div>
</div>
<a class="anchor" id="a9e34aa4c19ae95ed71052c6409d8fbcc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::setPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>set the position of the widget </p>
<p>This function completely overwrites the previous position. See the move function to apply an offset based on the previous position instead. The default position of a transformable widget is (0, 0).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>New x coordinate </td></tr>
    <tr><td class="paramname">y</td><td>New y coordinate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b" title="Move the widget by a given offset. ">move</a>, <a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc" title="get the position of the widget ">getPosition</a></dd></dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Place the widget on an exact position</span></div><div class="line">widget-&gt;setPosition(40, 30);</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget</span></div><div class="line">widget-&gt;setPosition(otherWidget-&gt;getPosition().x, otherWidget-&gt;getPosition().y + otherWidget-&gt;getSize().y + 50);</div><div class="line"></div><div class="line"><span class="comment">// Place the widget 50 pixels below another widget and automatically move it when the other widget moves</span></div><div class="line">widget-&gt;setPosition(<a class="code" href="namespacetgui.html#aea0ae0fd5751d1245c5a050d12932778">tgui::bindLeft</a>(otherWidget), <a class="code" href="namespacetgui.html#adbaac1043a07a0095c3ee90d6070b70b">tgui::bindBottom</a>(otherWidget) + 50);</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a66fe5d2a7b1477cab073984a9a3e13bc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Transformable::setSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the widget</td></tr>
  </table>
  </dd>
</dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Give the widget an exact size</span></div><div class="line">widget-&gt;setSize({40, 30});</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget</span></div><div class="line">widget-&gt;setSize(otherWidget-&gt;getSize() + sf::Vector2f{0, 50});</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget and automatically resize it when the other widget resizes</span></div><div class="line">widget-&gt;setSize(<a class="code" href="namespacetgui.html#a980dd88c8757152349370c5dee94ee61">tgui::bindSize</a>(otherWidget) + sf::Vector2f{0, 50});</div></div><!-- fragment --> 
<p>Reimplemented in <a class="el" href="classtgui_1_1Picture.html#a4fab9d212933870d1ff0e30fb5139871">tgui::Picture</a>, <a class="el" href="classtgui_1_1Widget.html#aa780b3b9e657ea6b3acecd2045593cca">tgui::Widget</a>, <a class="el" href="classtgui_1_1ListBox.html#aa2696ce750ad4fd29418d6749547a5fa">tgui::ListBox</a>, <a class="el" href="classtgui_1_1Label.html#a45842c5252974d8d04c9e9a320d756ff">tgui::Label</a>, <a class="el" href="classtgui_1_1EditBox.html#adce8afe4ae78efd245f899034606bc85">tgui::EditBox</a>, <a class="el" href="classtgui_1_1ChildWindow.html#aec967e7a4232d4159095de6b3bf511e0">tgui::ChildWindow</a>, <a class="el" href="classtgui_1_1ComboBox.html#a1ec641a5605129cad9ba2d15d48ce0e5">tgui::ComboBox</a>, <a class="el" href="classtgui_1_1TextBox.html#a744eb583f7dcc2c4aa17eb50bbc819ad">tgui::TextBox</a>, <a class="el" href="classtgui_1_1ProgressBar.html#aaf03ec209d41554dcd40028d555795e2">tgui::ProgressBar</a>, <a class="el" href="classtgui_1_1ChatBox.html#a9d9f808b82a3885ad8a17d9f6ab84833">tgui::ChatBox</a>, <a class="el" href="classtgui_1_1Canvas.html#a28e7ab2a0cbb4b12486ef4ef98502075">tgui::Canvas</a>, <a class="el" href="classtgui_1_1Grid.html#adaaddc0070116fee2199e7cc68279aeb">tgui::Grid</a>, <a class="el" href="classtgui_1_1Tab.html#af18ffe805d49b6bda67268e4343f0bd4">tgui::Tab</a>, <a class="el" href="classtgui_1_1RadioButton.html#a5dfd52c9dd7e37418c089693d64220ac">tgui::RadioButton</a>, <a class="el" href="classtgui_1_1Button.html#a29164fc0555e584cda9724ae6085f36b">tgui::Button</a>, <a class="el" href="classtgui_1_1MenuBar.html#acada075ee962a1063f4c1cbf2e270917">tgui::MenuBar</a>, <a class="el" href="classtgui_1_1Slider.html#ab34d767373e91988ebc658f4bf7231ca">tgui::Slider</a>, <a class="el" href="classtgui_1_1SpinButton.html#a2982d384d9c5d6caccc013faee8a8915">tgui::SpinButton</a>, <a class="el" href="classtgui_1_1Knob.html#a9e5fc0db87197d34e45f0901610ffec0">tgui::Knob</a>, <a class="el" href="classtgui_1_1Scrollbar.html#a5128688da870c4c6555a5ce4ac9f0328">tgui::Scrollbar</a>, and <a class="el" href="classtgui_1_1BoxLayout.html#aeb79b1eb5ce71084098af8cc789151f0">tgui::BoxLayout</a>.</p>

</div>
</div>
<a class="anchor" id="a3bae3322ba22993ca9eacad060e3215c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Transformable::setSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the size of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Width of the widget </td></tr>
    <tr><td class="paramname">height</td><td>Height of the widget</td></tr>
  </table>
  </dd>
</dl>
<p>Usage examples: </p><div class="fragment"><div class="line"><span class="comment">// Give the widget an exact size</span></div><div class="line">widget-&gt;setSize(40, 30);</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget</span></div><div class="line">widget-&gt;setSize(otherWidget-&gt;getSize().x, otherWidget-&gt;getSize().y + 50);</div><div class="line"></div><div class="line"><span class="comment">// Make the widget 50 pixels higher than some other widget and automatically resize it when the other widget resizes</span></div><div class="line">widget-&gt;setSize(<a class="code" href="namespacetgui.html#a8fb205ef056bb9d28c370a68434fcc50">tgui::bindWidth</a>(otherWidget), <a class="code" href="namespacetgui.html#aac02e45df685e26d1f1c58b6d1ef3b73">tgui::bindHeight</a>(otherWidget) + 50);</div></div><!-- fragment --> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Transformable_8hpp_source.html">Transformable.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
